# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Archive-Peek
Version:	0.35
Release:	17.%{__distinit}%{__distvers}
Summary:	Peek into archives without extracting them
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Archive-Peek
Source0:	https://cpan.metacpan.org/modules/by-module/Archive/Archive-Peek-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Module Runtime
BuildRequires:	perl(Archive::Tar)
BuildRequires:	perl(Archive::Zip)
BuildRequires:	perl(Archive::Zip::MemberRead)
BuildRequires:	perl(IO::Uncompress::Bunzip2)
BuildRequires:	perl(Moose)
BuildRequires:	perl(MooseX::Types::Path::Class)
# Test Suite
BuildRequires:	perl(Test::More) >= 0.88
BuildRequires:	perl(Test::Pod) >= 1.14
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(IO::Uncompress::Bunzip2)

%description
This module lets you peek into archives without extracting them. It currently
supports tar files and zip files.

%prep
%setup -q -n Archive-Peek-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc CHANGES README
%{perl_vendorlib}/Archive/
%{_mandir}/man3/Archive::Peek.3*

%changelog
* Tue Jun 11 2019 Paul Howarth <paul@city-fan.org> - 0.35-17
- Modernize spec
  - Switch upstream from search.cpan.org to metacpan.org
  - BR: perl-generators unconditionally
  - BR: perl-interpreter rather than perl

* Fri Jun 16 2017 Paul Howarth <paul@city-fan.org> - 0.35-10
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Thu Aug  4 2016 Paul Howarth <paul@city-fan.org> - 0.35-8
- BR: perl-generators where available
- Simplify find command using -delete

* Wed Sep 17 2014 Paul Howarth <paul@city-fan.org> - 0.35-4
- Perl 5.20 rebuild

* Thu Oct 17 2013 Paul Howarth <paul@city-fan.org> - 0.35-1
- Initial RPM version
